Subject: Re: [PATCH v2] Windows: improve performance by avoiding a static dependency on ws2_32.dll and advapi32.dll

From: Johannes Sixt <[email-masked]>
Date: Fri, 29 Jan 2010 08:44:16 +0100

Michael Lukashov schrieb:
> The runtime of 'make -j2 test' went down from 35:19min
> to 32:39min on my machine.

Sorry, I can't back this claim. In my tests, 'make -j2 test' did not go
down. My timings were between 13:40min and 13:50min with and without the
patch, and I tried multiple times.

For the MinGW version, I'd rather not apply this patch. People interested
in optimizing the MSVC version could link with /delayload:ws_32.dll to
achieve the same effect without any change to the code.

-- Hannes